Subject: Re: [PATCH 0/14] fork/exec removal series

From: Pierre Habouzit <[email-masked]>
Date: Sun, 14 Oct 2007 09:28:49 +0200

On dim, oct 14, 2007 at 07:17:51 +0000, Pierre Habouzit wrote:
> On dim, oct 14, 2007 at 07:12:39 +0000, Pierre Habouzit wrote:
> >   The trivial way is to add a __thread keyword to make them TLS
> > variables, though, it's not really a step in the direction of
> > portability, and last time I looked at it, mingw didn't had TLS support,
> > not sure if msys has. Though, if Msys has, it's worth using, and we
> 
>   Okay forget it, mingw and msys are one and the same *g*.
>   So well, maybe threading isn't such a so great idea :/

  And again last time I checked it was still a mingw 3.x in debian, now
that it's 4.2.1 it seems to support __thread (but not
__declspec(thread)) and their changelog seems to confirm that fact [0].

  So the question holds again, do we require pthread-using targets to
support TLS ? It feels sane and right to me, but …

  [0] http://sourceforge.net/project/shownotes.php?release_id=532062
      [...]
      * The  __thread keyword is honoured.
      [...]

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org